TabGroupTest = function() {
    this.tabGroup = null;
}

TabGroupTest.prototype.build = function() {

	this.tabGroup = Ti.UI.createTabGroup( {backgroundColor: "#000000"} );
	this.tabGroup.addTab(this.createTabs());
	this.tabGroup.open();
}

TabGroupTest.prototype.createTabs = function() {

	var win1 = Titanium.UI.createWindow({  
		    title:'Tab 1',
		    backgroundColor:'#fff'
	});

	var tab1 = Titanium.UI.createTab({  
		    icon:'KS_nav_views.png',
		    title:'Tab 1',
		    window:win1
	});

	var me = this;
	
	var addTabButton = Ti.UI.createButton({title: "Add Tab", top:10, width: 150, height: 25, visible: true});	
	win1.add(addTabButton);
	addTabButton.addEventListener('click', function() {me.onAddTabClicked();})
	
	var closeTabButton1 = Ti.UI.createButton({title: "Close Last Tab", top:60, width: 150, height: 25, visible: true});	
	win1.add(closeTabButton1);
	closeTabButton1.addEventListener('click', function() {me.onCloseTabTest1Clicked();})

	return tab1;
}

TabGroupTest.prototype.onAddTabClicked = function() {
	
	var winTemp = Titanium.UI.createWindow({  
            title:'Tab 1',
            backgroundColor:'#fff'
    });
	
	var tabTemp = Titanium.UI.createTab({  
		    icon:'KS_nav_views.png',
		    title:'Added Tab',
		    window:winTemp
	});

	this.tabGroup.addTab(tabTemp);
	tabTemp = winTemp = null;    
}

TabGroupTest.prototype.onCloseTabTest1Clicked = function() {
	var lastIndex = this.tabGroup.tabs.length - 1;

	// this.tabGroup.tabs[lastIndex].window.close();
	// this.tabGroup.tabs[lastIndex].window = null;
	// this.tabGroup.tabs[lastIndex] = null;
	this.tabGroup.removeTab(lastIndex);
}
